---
title: Portfolio - Michal Vanko
work_history_prelude: >-
  I am doing web development for approximately 14 years. I've started at very
  young age of 14. My very first web site was for promotion web of my own
  Counter-Strike clan.

  Then I had an opportunity to create a important registration system for
  marathon runners for Europe's oldest marathon event. That basically started
  off my career as a web developer. I had some projects while I was studying in
  high school and university. After that I started to work full-time as a web
  developer and gain more experience in developing real-time web applications.
work_history:
  - description: >-
      localhost.company is a small company which has only around 40 developers
      and most of them are students. I work in _localhost_ as a **Senior front
      end developer**. I am focused on delivering a high quality product and to
      teach and help other colleagues.


      I've started to work there in October 2018.


      <span class="location">_localhost.company s.r.o_ Boženy Nemcovej 30, 040
      01 Košice, Slovakia</span>
    name: localhost.company s.r.o
  - description: >-
      I worked in Ness as a **Senior front end developer**. In Ness, I've been
      able to work for different clients on various projects.


      I joined Ness as a Junior front end developer and I've been able to
      quickly proceed to Senior level with my engagement


      I started to work in March 2013 and left in October 2018.


      <span class="location">_Ness KE s.r.o._Moldavská cesta 10/B, 040 11
      Košice, Slovakia</span>
    name: Ness KE s.r.o
  - description: >-
      I worked in eSOLUTIONS as a **extern web developer**


      I was building front-end and back-end for websites and web applications.
      Mostly using _PHP_, _MySQL_, _JavaScript_, _HTML_, _CSS_


      I started to work in 2007 and stopped in 2012.


      <span class="location">_eSOLUTIONS s.r.o._ Hroncová 2, Košice,
      Slovakia</span>
    name: eSOLUTIONS s.r.o.
projects:
  - description: >-
      _Signal Hub_ is an end-to-end **Big Data analytics platform** for large
      enterprises. It accelerates the process of extracting insights and
      intelligence from large volumes of data, including data of different types
      and in different formats.


      I worked on _Signal Hub_ as a front-end developer. Working on the part of
      the platform called _Workbench_. _Workbench_ is an **IDE for data
      analyst**. It allows to create and tweak various models and
      transformations which are then deployed to other parts of the platform.
      Users are able to create workflows and see the results of his work with
      pleasant visuals.


      This project is built with modern web technologies including:
      **AngularJS**, **React**, **D3**, **Highcharts**, **Jest**, **Webpack**.


      I was part of a large distributed team of ~20 developers & ~6 testers
      which were working on the whole platform.
    displayed: true
    name: Signal Hub Manager
education:
  - description: |-
      Faculty of Electrical Engineering and Informatics - Intelligent Systems

      _Artificial Intelligence, Neural Networks, Fuzzy Systems_

      Dates: 1\. 9\. 2010 - 20\. 6\. 2013

      Title of qualification awarded: Bachelor (Bc.)
    displayed: true
    name: Technická univerzita Košice
  - description: >-
      _SPŠ Elektrotechnická, Komenského 22, Košice_


      Electrotechnics, Telecommunication


      Dates: 1\. 9\. 200 - 1\. 7\. 2010


      Title of qualification awarded: Full secondary school education with
      leaving examination
    displayed: true
    name: Secondary school of Electrical Engineering in Košice
---
## Personal Information

I was born on 26th of May in Košice, Slovakia and I still live here.

### Hobbies:

I enjoy playing basketball with my friends. I also like to play other team sports like football and hockey. I also play squash and table tennis. Once I've won a competition in squash at my university. During summer I love water skiing and swimming in a nearby lake.  
I am very passionate about music. I've also tried some software for composing music but I am not really hooked into that yet. From time to time I enjoy playing board games with my friends.

### Interests:

I like to explore new technologies and I'm passionate about _Open Source movement_, _Internet of Things_ applications and _Linux desktop evolution_.  
I am interested in modern software architecture and _reactive programming_.  
I've attended various **tech conferences and hackathons**. I like them for all of the fascinating ideas that might be invented.  
I've given presentations on various topics related to _web development_. You can [take a look at some of them here](#presentations).  
I enjoy **teaching and explaining** how various technologies and techniques work to my colleagues for their better understanding.  
I take advantage of **test driven development**.

## Skills

Slovak is my mother tongue and I've learned English as my second language. I speak English on advanced level.

I'm an experienced _Linux Desktop_ user. I prefer to use open source libraries and technologies while I develop solutions.  
I'm in good command of Office Tools and I've experience with image manipulation programs like _GIMP_ and _Inkscape_.  
I can also compose music and sounds in _digital audio workstation_.

I'm passionate about _software architecture_. My goal is to be able to design suitable solution for any kind of product. From small _presentation sites_, _IOT devices_, to large _enterprise applications running on cloud_.

I do _public speaking_ and I am not afraid to share my knowledge and passion about technology.

I'm advanced user of source code management tools _git_ and _svn_.

I've a driving license for category B 🚗.
